/**
 * Test whether or not a double is equal to another double in the limits of a given precision.
 * @param a The first number.
 * @param b The second number.
 * @param delta The precision to use.
 * @returns True if they are approx. equal, false otherwise.
 */
export declare function isApproximatelyEqual(a: number, b: number, delta?: number): boolean;
/**
 * Test wether a double is zero.
 * @param val The value to test.
 * @returns True, if the number is zero.
 */
export declare function isZero(val: number): boolean;
/**
 * Test wether a double is negative.
 * @param val The value to test.
 * @returns True, if the number is negative.
 */
export declare function isNegative(val: number): boolean;
/**
 * Test wether a double is positive
 * @param val The value to test
 * @returns True, if the number is positive
 */
export declare function isPositive(val: number): boolean;
//# sourceMappingURL=utils.d.ts.map